<VirtualHost *:443>

 ServerName repository.wanteknologi.com:443

 ErrorLog /var/log/apache2/repository.wanteknologi.com_error.log
 TransferLog /var/log/apache2/repository.wanteknologi.com_access.log
 LogLevel warn

 SSLEngine on
 SSLProtocol all -SSLv2 -SSLv3 -TLSv1 -TLSv1.1
 SSLHonorCipherOrder on
 SSLCipherSuite ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-SHA384:ECDHE-RSA-AES256-SHA384:ECDHE-ECDSA-AES128-SHA256:ECDHE-RSA-AES128-SHA256

 SSLCertificateFile /etc/letsencrypt/live/repository.wanteknologi.com/fullchain.pem
 SSLCertificateKeyFile /etc/letsencrypt/live/repository.wanteknologi.com/privkey.pem
 SSLCertificateChainFile /etc/letsencrypt/live/repository.wanteknologi.com/chain.pem

 SetEnvIf User-Agent ".*MSIE.*" \
 nokeepalive ssl-unclean-shutdown \
 downgrade-1.0 force-response-1.0

 CustomLog /var/log/apache2/repository.wanteknologi.com_access.log \
 "%t %h %{SSL_PROTOCOL}x %{SSL_CIPHER}x \"%r\" %b"

 Include /opt/eprints3/cfg/apache_ssl/repository.conf
 
 PerlTransHandler +EPrints::Apache::Rewrite

</VirtualHost>
